namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "brine")]
public class Brine : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        if (target.CurrentHealth <= target.BoostedStats.Hp / 2)
        {
            basePower = basePower.MultiplyOrMax(2);
        }
    }
}